var status_spec = 0;//刚进入页面不要列出规格,点击"添加规格"后再获取列表
var status_cat = 0;
var spec = "";
var spec_desc = "";
var spec_length = 0;
var specChanged=false;
var old_pid_info="";
var temp_catname="";
var temp_catpath="";
var temp_cid=0;
var isSearchGiftsLoaded = false;//标示是否加载了ProductAdd.SearchGifts.js文件，如果为false，则在点击选择礼品时加载这个文件，第一次加载时把这个变量设置为true;

$(document).ready(function(){
    //loading
    $('#loadingContainer').ajaxStart(function(){$(this).show();$('#loadingbackground').show().css({"opacity": "0.5"});}).ajaxStop(function(){$(this).hide();});
	//修改子商品的时候移除规格添加
	/*if(pid!=gid){
		$(".menuitem").eq(4).remove();
		$(".frame").eq(3).remove();
	};*/
	if(pid != '0')
	{
		$('#add_spec').hide();
	}
	InitFB(cid);
	if(pid != '0' && cid != '0'){
		$("#cid").attr("value",cid);
        $.ajax({
            url:'ProductAdd_Step2.aspx?type=ajax&Action=GetCatName&cid='+cid+'&ProductID='+pid + '&NoCopyRight=1',
            cache:false,
            success:function(data){
                if(!checkLoginStatus(data)){return false;}//是否要重新登陆
                if(data != ''){
                    $("#catname").text(data.split('|')[0]);
                    $("#catpath").attr("value",data.split('|')[1]);
                }
            },//end seccess
            error:function(){alert('error 1');}
        });//end ajax
        //绑定属性和参数
        Init(pid);
        //if(pid==gid){
			//修改主商品的时候才绑定规格
			BindSpecList();
        //};
        //绑定相关商品删除事件
        BindDeleteEvent(1);
        //绑定附件商品删除事件
        BindDeleteEvent(2);
        //绑定赠送商品删除事件
        BindDeleteEvent(3);
        //绑定赠送礼品删除事件
        BindDeleteEvent(4);
    }
    
	setInterval(function(){
		if(getQueryStringRegExp('from') != 'list'){
			$('div.save').css('top',$(window).height()-$('div.save').height()); //设置底部分页区域的位置
			$('#container').css('height',$(window).height()-$('div.save').height()-$(".sub_container_title").height()-$(".tabmenu").height()-20); //设置内容区域的高度
		}else{//从列表页面链接过来修改
			var windowHeight = $('#frmHeight',window.parent.document).val();
			$('div.save').css('top',windowHeight-$('div.save').height()); //设置底部分页区域的位置
			$('#container').css('height',windowHeight-$('div.save').height()-$(".sub_container_title").height()-$(".tabmenu").height()-20); //设置内容区域的高度
		}
    },1000);
    
	//添加规格
    $('#add_spec').click(function(){
        $('#ShowSpec').popup({width:'60%',height:'80%',popupHead:'SpecHead',btnClose:'popupClose'});
        if(status_spec == 0){BindSpecs('Specs.aspx',"type=ajax&action=GetSpecName");status_spec = 1;};
        $("select").hide();
    });
    
    //确定增加规格
    $('#btnSubmit').click(function(){		
		if(confirm("重新选择规格将清空之前的规格设置，确认吗？")){
           specChanged=true;
           CreateSpecList();
        };
	});
    
    //更改分类
    $("#btnChangeCat").click(function(){
		if(confirm("重新选择分类将重新关联品牌和扩展属性，确认吗？")){
            $('#ShowCategory').popup({width:'60%',height:'80%',popupHead:'SelectCategoryHead',btnClose:'popupClose'});
            if(status_cat == 0){GetCategorys(0,1,$('#catpath').val());status_cat=1;};
		};
    }); 
    
    //更改品牌
    $("#ddlBrand").change(function(){
		if($(this).val() != "0"){		
			$.ajax({
				url:'ProductAdd_Step2.aspx?type=ajax&Action=GetAfterService&bid='+ $(this).val() + '&NoCopyRight=1',
				cache:false,
				success:function(data){
					if(!checkLoginStatus(data)){return false;}//是否要重新登陆
						$("#ftbAfterService").val(data);
						ftbAfterService_editor.focus();
						ftbAfterService_editor.document.open();
						ftbAfterService_editor.document.write("");
						ftbAfterService_editor.document.close();
						var sel = ftbAfterService_editor.document.selection.createRange();
						sel.pasteHTML(data);
				},//end seccess
				error:function(){alert('error 2');}
			});//end ajax
        };
    });
    
    //绑定日历控件
    $('.datepicker').datepicker();
    //取消按钮   
    $('#btnCancel').click(function(){
        if(getQueryStringRegExp('from') == 'list'){
            $('#frmModify',window.parent.document).hide().siblings(':not("#loadingContainer")').show();
            return false;
        }
    });	
    settab();//顶部tab
    CheckAlert();
    SetThumbnail();
    $('#cbxNeedAlert').click(function(){CheckAlert()});
    $('#cbxFromBigPic').click(function(){SetThumbnail();});
    $('#customselectCount').val($('select[@name^=ddlFildValues_]').length);//扩展属性Select的个数
    
    if(getQueryStringRegExp('ProductID') == ''){$('#cbxAutoCreate').attr('checked','checked')};//添加商品默认将checkbox选中
    $('#cbxAutoCreate').attr('checked') ? $('#txtProductNo').hide() : $('#txtProductNo').show();
    $('#cbxAutoCreate').click(function(){
        if($(this).attr('checked')){
            $('#txtProductNo').hide();
        }else{
            $('#txtProductNo').show();
        }
    });
    
    //当扩展属性为select控件时,若选择的Value为0,就将文本框显示出来
    $('select[@name^=ddlFildValues_]').each(function(){
        SelectFieldValue($(this));
        $(this).change(function(){
            SelectFieldValue($(this));
        });
    });
    $('input[@id^=txtFieldValue_]').keyup(function(){$(this).val($(this).val().replace(/\|/g,''))});
   
    
    $('#btnAddFile').click(function(){
        var str = '<br><INPUT type="file" NAME="File">';
        $('#FileCollection').append(str);
    });
    //删除相关图片
    $('a:contains("删除")','#dgRelatedImgs').each(function(index){
        $(this).click(function(){
            var productID = getQueryStringRegExp('ProductID');
            var img = $('a:contains("relatedImgs_")','#dgRelatedImgs').eq(index).html();//要删除的图片名
            $.ajax({
                url:'ProductAdd_Step2.aspx?type=ajax&Action=DeleteRelatedImgByAjax&ProductID='+productID + '&ItemIndex=' + index + '&img=' + img + '&NoCopyRight=1',
                cache:false,
                success:function(data){
                    if(!checkLoginStatus(data)){return false;}//是否要重新登陆
                    if(data == 1){$('tr:contains("relatedImgs_")','#dgRelatedImgs').eq(index).remove();}    //如果返回值为1,就将行删除
                },
                error:function(){alert('error 3');}
            });
            return false;
        });
    });
     
	//保存前先检测填写是否正确
    $('#btnSave').click(function(){
        if(!check()){
            return false;
        }else{
            //获取属性参数
			GetPropPara();			
            if(pid==gid){
				//修改主商品的时候才需要获取规格信息
				GetSpecInfo();
			};
	        //获取要添加或要删除的相关商品的ID
	        CountPIDs();
        };
    });
    
    $('#btnAddPresent').click(function(){
        if(!isSearchGiftsLoaded && $('[@name=rdPresentType][@checked]').val() == '2'){
            $.getScript('../inc/ProductAdd.SearchGifts.js');//加载搜索礼品的js
        }
    });

});

function SelectFieldValue(obj){
    var index = obj.attr('name').split('_')[1];
    if(obj.val() == '0'){$('#span_fieldvalue_'+index).show();}else{$('#span_fieldvalue_'+index).hide();}
};

//是否显示库存警告数量
function CheckAlert(){if($('#cbxNeedAlert').attr('checked')){$("#mininum").show();}else{$("#mininum").hide();}};
//是否显示缩图宽度
function SetThumbnail(){if($('#cbxFromBigPic').attr('checked')){$("#ThumbnailPic").hide();}else{$("#ThumbnailPic").show();}};

//tab
function settab(){
    var items = $('li.menuitem').length;
    $('li.menuitem').each(function(index){
        $(this).click(function(){
            $(this).addClass('tabon').removeClass('tabout').siblings('.menuitem').removeClass('tabon').addClass('tabout');
            if(index != 0){
                $('div.tab').hide();
                $('div.tab').eq(index - 1).show();
            }else{
                $('div.tab').show();
            }
        });
    });
};
//检测填写的信息是否合法
function check(){
    var floatReg = new RegExp(/[^\d\.]/g);
    var intReg = new RegExp(/[^\d]/g);//整数
    var posIntReg = new RegExp(/^[1-9]*[1-9][0-9]*$/g);//正整数
    if($('#txtName').val().Trim() == ''){alert('商品名称必须填写');return false;}
    if(!$('#cbxAutoCreate').attr('checked')){if($('#txtProductNo').val().Trim() == ''){alert('商品编号必须填写');return false;}}
    if($('#txtUnit').val().Trim() == ''){alert('商品单位必须填写');return false;}
    if($('#txtWeight').val().Trim() == ''){alert('单位重量必须填写');return false;}else if(floatReg.test($('#txtWeight').val().Trim())){alert('单位重量填写不正确');return false;}
    if($('#txtScore').val().Trim() == ''){alert('积分必须填写');return false;}else if(intReg.test($('#txtScore').val().Trim())){alert('积分填写不正确');return false;}
    if($('#txtMarketPrice').val().Trim() == ''){alert('市场价格必须填写');return false;}else if(floatReg.test($('#txtMarketPrice').val().Trim())){alert('市场价格填写不正确');return false;}
    if($('#txtMemberPrice').val().Trim() == ''){alert('会员价格必须填写');return false;}else if(floatReg.test($('#txtMemberPrice').val().Trim())){alert('会员价格填写不正确');return false;}
    if($('#txtMin').val().Trim() == ''){alert('最低购买量必须填写');return false;}else if(intReg.test($('#txtMin').val().Trim())){alert('最低购买量填写不正确');return false;}
    //if($('#startTime').val().Trim() == ''){alert('上架时间必须填写');return false;};
    //if($('#endTime').val().Trim() == ''){alert('下架时间必须填写');return false;};
    //if($('#lbxCategories').val() == null){alert('请至少选择一个分类');return false;}
    
    //图片格式
    var imgpass = true;
    $('input[@type=file]').each(function(){
        if($(this).val().Trim() != ''){
            var extendName = $(this).val().substring($(this).val().lastIndexOf('.'));
            if(extendName.toLowerCase() != '.gif' && extendName.toLowerCase() != '.jpg'){
                imgpass = false;
            }
        }
    });
    if(!imgpass){alert('产品图片只支持.gif或者.jpg格式');return false;}
    
    if($('#cbxFromBigPic').attr('checked')){if(! posIntReg.test($('#txtPicWidth').val())){alert('缩略图宽度不正确');return false;}}
    if($('#txtStorage').val().Trim() == ''){alert('最新入库数量填写不正确');return false;}else if(intReg.test($('#txtStorage').val().Trim())){alert('最新入库数量填写不正确');return false;}
    if($('#txtMininum').val().Trim() == ''){alert('库存警告数量填写不正确');return false;}else if(intReg.test($('#txtMininum').val().Trim())){alert('库存警告数量填写不正确');return false;}
    
    var isNoExists = false;//判断商品编号是否存在
    if(getQueryStringRegExp("ProductID") == ""){//添加商品
        if(!$('#cbxAutoCreate').attr('checked')){
            $.ajax({
                url:'ProductAdd_Step2.aspx?type=ajax&Action=IsExistProductNo&ProductNo='+escape($('#txtProductNo').val()) + '&NoCopyRight=1',
                async:false,
                cache:false,
                success:function(data){
                    if(!checkLoginStatus(data)){return false;}//是否要重新登陆
                    if(data==0){isNoExists = false;}else{isNoExists = true;}
                },
                error:function(){alert('IsExistProductNo_error1')}
            });
        };
    }else{//修改商品
        $.ajax({
            url:'ProductAdd_Step2.aspx?type=ajax&Action=IsExistProductNo&ProductNo='+escape($('#txtProductNo').val())+'&ProductID='+getQueryStringRegExp("ProductID") + '&NoCopyRight=1',
            async:false,
            cache:false,
            success:function(data){
                if(!checkLoginStatus(data)){return false;}//是否要重新登陆
                if(data==0){isNoExists = false;}else{isNoExists = true;}
            },
            error:function(){alert('IsExistProductNo_error2')}
        });
    }
    if(isNoExists){alert('此商品编号已存在！');return false;}else{return true;};
};

function checkLoginStatus(data){
    var result = true;
    if(data.indexOf('<!DOCTYPE') != -1){
        result = false;
        alert('身份已过期,请重新登陆!');
        parent.window.location="../../adminlogin.aspx";
    }
    return result;
};

function ManageCustomFields(pid){
    temp=window.open('../ProductCustomField.aspx?productid='+pid,'customfield','width=680,height=600,scrollbars=yes,top=0,left=0');
    temp.focus();
};

function BindSpecs(weburl,urldata){
    $.ajax({
        type:"get",
        dataType:"json",
        url:weburl+'?NoCopyRight=1',
        data:urldata,
        cache:false,
        success:function(msg){
            var data = msg.Specs;
             $.each(data,function(i,m){
								  //alert(m.SpecName);
				$("<li>"+m.SpecName+"</li>").attr("SpecID",m.SpecID).attr("IsMain",m.IsMain).addClass("hand").appendTo($("#spec_name")).click(function(){
					$(this).addClass("selected");
					$(".svalue").hide();
					$(".spec_value_item"+m.SpecID).show();
				});
				var spec_value = eval('('+m.SpecValue+')');
				$.each(spec_value,function(j,n){
					$("<li class='svalue'><input type='checkbox' name='cbsvalue' value='"+n.value+"'/>"+n.value+"</li>").addClass("spec_value_item"+m.SpecID).addClass("hide").appendTo($("#spec_value"));
				});
             });
        },//end success
        error:function(XMLHttpRequest,textStatus){if(textStatus=='parsererror'){alert('身份已过期,请重新登陆!');parent.window.location="../../adminlogin.aspx";}}
    });//end ajax
};//end funciton

function CreateSpecList(){
	var spec_info="{'Specs':[";	
	spec = "{'Specs':[";	
	var flag1=false;
	$("#spec_name").children().each(function(){
		var temp="";
		var temp0="";
		temp += "{'SpecID':'"+$(this).attr("SpecID")+"','SpecName':'"+$(this).text()+"','IsMain':'"+$(this).attr('IsMain')+"','SpecValue':[";
		temp0 += "{'SpecID':'"+$(this).attr("SpecID")+"','SpecName':'"+$(this).text()+"','IsMain':'"+$(this).attr('IsMain')+"','Contain':[";
		var flag2 = false;
		var flag3 = false;
		if($(this).attr('IsMain') == '1')
		{
			flag3 = true;
		}
		$(".spec_value_item"+$(this).attr("SpecID")).children("[@checked]").each(function(i){
			temp += "{'value':'"+$(this).val()+"'},";
			if(flag3)
			{
				temp0 += "{'PID':'{PID-" + (i+1) + "}','Pro':'" + $(this).val() + "','SmallPic':'{SmallPic-" + (i+1) + "}'},";
			}
			else
			{
				temp0 += "'"+$(this).val()+"',";
			}
			flag1 = true;
			flag2 = true;
		});
		if(flag2){
			temp = temp.substring(0,temp.length-1);
			temp0 = temp0.substring(0,temp0.length-1);
		};
		temp += "]},";
		temp0 += "]},";
		if(flag2){
			spec_info += temp;
			spec += temp0;
		};
	});
	if(flag1){
		spec_info = spec_info.substring(0,spec_info.length-1);
		spec = spec.substring(0,spec.length-1);
	};
	spec_info += "]}";
	spec += "]}";
	$("#spec_list_thead").empty();
	$("#spec_list").empty();
	var specArray = new Array();
	var selected_spec_info = eval('('+spec_info+')');
	//document.write(spec_info);
	var haveMain = false;
	$.each(selected_spec_info.Specs,function(i,m){
		if(i == 0 && m.IsMain == '1')
		{
			haveMain = true;
			$.each(m.SpecValue,function(j,n){
				$('<tr><td><input type="hidden" value="' + n.value + '" name="specname-' + (j+1) + '" />' + m.SpecName + '：'
				  + n.value + '</td><td>商品编号：<input id="pproductno-' + (j+1)
				  + '" name="pproductno-' + (j+1) + '" value="" /></td><td>市场价：<input id="pmarketprice-' + (j+1)
				  + '" name="pmarketprice-' + (j+1) + '" value="" size="15" /></td><td>会员价：<input id="pmemberprice-' + (j+1)
				  + '" name="pmemberprice-' + (j+1) + '" value="" size="15" /></td><td>商品大图：<input type="file" id="pbigfile-' + (j+1)
				  + '" name="pbigfile-' + (j+1) + '" size="15" /></td><td>商品小图：<input type="file" id="psmallfile-' + (j+1)
				  + '" name="psmallfile-' + (j+1) + '" size="15" /></td></tr><tr id="spec-' + (j+1)
				  + '"><td colspan="6"><table class="tableBorder" cellspacing="0" cellpadding="0" width="50%" align="left" border="1" id="ptable-' + (j+1)
				  + '"><thead><tr id="ptable_thead-' + (j+1) + '"></tr></thead><tbody id="ptable_tbody-' + (j+1) + '"><tr></tr><tbody></table></td></tr>').appendTo($("#spec_list"));
			
				$('#specUploadCount').val(Number($('#specUploadCount').val()) + 2);//--规格图片数量
			
			});
		}
		else if(i == 0 && m.IsMain == '0')
		{
			$('<tr id="spec-1"><input type="hidden" name="pproductno-1" /><td><table class="tableBorder" cellspacing="0" cellpadding="0" width="50%" align="left" border="1" id="ptable-1"><thead><tr id="ptable_thead-1"></tr></thead><tbody id="ptable_tbody-1"><tr></tr><tbody></table></td></tr>').appendTo($("#spec_list"));
			$("<td width='100px'>"+m.SpecName+"</td>").addClass("hd").appendTo($('[id^=ptable_thead-]'));
			$('#specUploadCount').val(0);//--规格图片数量
		}
		else if(i != 0)
		{
			$("<td width='100px'>"+m.SpecName+"</td>").addClass("hd").appendTo($('[id^=ptable_thead-]'));
		}
		if(i==selected_spec_info.Specs.length-1){
			$("<td width='100px'>库存</td><td width='80px'>操作</td><td>&nbsp;</td>").addClass("hd").appendTo($('[id^=ptable_thead-]'));
		}
		
		var svalue="";
		$.each(m.SpecValue,function(p,q){
			if(i == 0 && haveMain)
			{
				haveMain = true;
			}
			else
			{
				if(p == m.SpecValue.length-1)
				{
					svalue += q.value;
				}
				else
				{
					svalue += q.value + ",";
				}
			}
		});
		if(svalue != "")
		{
			specArray.push(svalue);
		}
	});
	//获取规格的组合个数
	$('[id^=ptable_tbody-]').children().remove();
	
	if(specArray.length > 0){
	    var zuheResult=null;
	    zuheResult = CC(specArray,specArray.length,0);
		spec_length = zuheResult.length;
	    for(var i=0;i<zuheResult.length;i++){
		    //自动生成编码
		    //var obj="<td><input type='text' name='pno' value='"+CreateNo(i)+"' /></td>";
		    var obj="<tr>";
		    for(var j=0;j<zuheResult[i].length;j++){
			    obj += "<td>"+zuheResult[i][j]+"</td>";
		    };			
			obj += "<td><input type='text' name='pstorage' value='1' size='10' style='text-align:center;' /></td><td id='delete-" + (i+1) + "'></td><td>&nbsp;</td></tr>";
			$(obj).addClass("hd").appendTo($('[id^=ptable_tbody-]'));
		    $("<span>删除</span>").addClass("hand").click(function(){
				if($(this).parent().parent().parent().children().length < 2)
				{
					alert('无法再删除！');
				}
				else
				{
			    	$(this).parent().parent().remove();
				}
		    }).appendTo($('[id^=delete-' + (i+1) + ']'));
			//--给相应的控件赋好name
			$('[@id^=ptable_tbody-]').each(function(i){
				var index = $(this).attr('id').split('-')[1];
				$(this).children().each(function(j){
					$(this).children().children('input[@name=pstorage]').attr('name','pstorage-'+(i+1)+'-'+(j+1));
				});
			});
	    };
	}else{
	};
};

function CC(arr,num,item){
	var r=[];
	(function f(t,a,len,it){
		if(it < len){
			for(var i=0;i<a[it].split(',').length;i++){
				f(t.concat(a[it].split(',')[i]),a,len,it+1);
			};
		}else{
			r.push(t);
		};
	})
	([],arr,num,item);
	return r;
}

function CreateNo(item){
	item++;
	var pno = null;
	if($("#txtProductNo").val()!=""){
		pno=$("#txtProductNo").val()+"-"+Array(2).join("0").concat(item).slice(-2);
	}else{
		pno="";
	};
	return pno;
};
function GetSpecInfo(){
	$("#hidden_info").empty();
	$("<input type='hidden' name='spec'/>").val(spec).appendTo($("#hidden_info"));
	$("<input type='hidden' name='spec_num'/>").val($('input[@name^=pproductno-]').length).appendTo($("#hidden_info"));
	$("<input type='hidden' name='spec_length'/>").val(spec_length).appendTo($("#hidden_info"));
	var spec_str="";
	$('[@id^=ptable_tbody-]').each(function(i){
		var spec_desc = "{'MainDesc':'" + $('[@name=specname-'+(i+1)+']').val() + "','Goods':[";
		var $tempTBody = $(this);
		var tempstrL = '';
		var no = $tempTBody.attr('id').split('-')[1];
		$tempTBody.children().each(function(j){
			var $tempTr = $(this);
			var tempstr = '';
			tempstrL = '';
			$tempTr.children().each(function(k){
				if(k<( $tempTr.children().length-3)){
					if(k==($tempTr.children().length-4)){
						spec_str += $(this).text();
						tempstr += $(this).text();
						tempstrL += $('#ptable_thead-' + no).children().eq(k).text();
					}else{
						spec_str += $(this).text() + " ";
						tempstr += $(this).text() + " ";
						tempstrL += $('#ptable_thead-' + no).children().eq(k).text() + " ";
					};
				};
			});
			if(j!=$tempTBody.children().length-1){spec_str += "|";}
			else if(i != $('[@id^=ptable_tbody-]').length - 1){spec_str += '^';}
			spec_desc += "{'GID':'{GID-" + (j+1) + "}','Desc':'" + tempstr + "'}";
			if(j!=$tempTBody.children().length-1){spec_desc += ",";}			
		});
		spec_desc += "],'DescL':'" + tempstrL + "'}";
		$("<input type='hidden' name='spec_desc-" + (i+1) + "'/>").val(spec_desc).appendTo($("#hidden_info"));
	});
	$("<input type='hidden' name='spec_str'/>").val(spec_str).appendTo($("#hidden_info"));
};

function BindSpecList(){
	$.ajax({
		type:"get",
		dataType:"json",
		url:'ProductAdd_Step2.aspx?NoCopyRight=1',
		data:'type=ajax&action=GetSpecDesc&cid='+cid+'&ProductID='+pid,
		cache:false,
		success:function(msg){
			var data = msg.Goods;
			spec_length = msg.Goods.length;
			$('<tr id="spec-0"><input type="hidden" name="pproductno-1" /><input type="hidden" value="" name="specname-1" /></tr>').addClass("hd").appendTo($("#spec_list"));
			
			var descL = msg.DescL.split(' ');
			for(var v = 0; v < descL.length; v++)
			{
				$('<td width="100px">' + descL[v] + '</td>').appendTo($("#spec-0"));
			}
			$("<td width='100px'>库存</td><td width='100px'>操作</td><td>&nbsp;</td>").appendTo($("#spec-0"));
			$.each(data,function(i,m){
				//记录修改前的商品ID
				$('<tr id="spec-' + (i+1) + '"></tr>').appendTo($("#spec_list"));
				var desc = m.Desc.split(' ');
				for(var j = 0; j < desc.length; j++)
				{
					$('<td width="100px">' + desc[j] + '</td>').appendTo($("#spec-" + (i+1)));
				}
				$("<td width='100px'><input type='hidden' name='gid-" + (i+1) + "' value='" + m.GID + "' /><input type='text' name='pstorage-" + (i+1) + "' value='" + m.Storage + "' size='10' style='text-align:center;' /></td><td width='100px' id='tdelete_" + m.GID + "'></td><td>&nbsp;</td>").appendTo($("#spec-" + (i+1)));
				
				$("<input type='hidden' name='spec_desc_unit' value=\"{'GID':'" + m.GID + "','Desc':'" + m.Desc + "'}\" /><span id='delete_" + m.GID + "'>删除</span>").addClass("hand").click(function(){
					if($(this).parent().parent().parent().children().length < 3)
					{
						alert('无法再删除！');
					}
					else
					{
						if(confirm('删除后将无法恢复,确实要删除吗?'))
						{
							$(this).parent().parent().remove();
							//--异步更新SpecDesc
							var specDesc = "{'MainDesc':'" + msg.MainDesc + "','Goods':[";
							$('[@name=spec_desc_unit]').each(function(p){
								specDesc += (p != 0 ? ',' : '') + $(this).val();
							});
							
							specDesc += "],'DescL':'" + msg.DescL + "'}";
							
							//--异步删除
							$.ajax({
								url:'ProductAdd_Step2.aspx?type=ajax&Action=DeleteGoods&gid=' + m.GID + '&NoCopyRight=1',
								cache:false,
								async:false,
								success:function(msg){
									$.ajax({
										url:'ProductAdd_Step2.aspx?type=ajax&Action=UpdateSpecDesc&pid=' + pid + '&SpecDesc=' + specDesc + '&NoCopyRight=1',
										cache:false,
										async:false,
										success:function(mg){
											if(mg != '0')
											{
												alert('删除成功！');
											}
										},
										error:function(){alert('error');}
									});
								},
								error:function(){alert('error');}
							});
						}
					}					
				}).appendTo($("#tdelete_" + m.GID));
				
			});
		},
		error:function(XMLHttpRequest,textStatus){if(textStatus=='parsererror'){alert('身份已过期,请重新登陆!');parent.window.location="../../adminlogin.aspx";}}
	});
};
function GetNSP(pid){
	 var nsp=null;
	 $.ajax({
        url:'ProductAdd_Step2.aspx?type=ajax&Action=GetNSP&pid='+pid + '&NoCopyRight=1',
        cache:false,
        async:false,
        success:function(data){
            if(!checkLoginStatus(data)){return false;};//是否要重新登陆
            if(data != ''){
               nsp=data;
            };
        },
        error:function(){alert('error 4');}
    });
    return nsp;
};
function GetCategorys(cid,depth,path){
	 $.ajax({
		type:"get",
        dataType:"json",
        url:"ProductAdd_Step1.aspx?NoCopyRight=1&action=GetCategorys&cid="+cid,
        cache:false,
        success:function(msg){
			var parentObj = $("<li><ul><ul></li>").appendTo($("#cul"));
            var data = msg.Categorys;
			$.each(data,function(i,n){
				var item=$("<li>"+n.Name+"</li>").addClass("citem").appendTo(parentObj).click(function(){
					temp_cid=n.CategoryID;
					if(depth==1){
						temp_catname=n.Name;
						temp_catpath=n.CategoryID;
					}else{
						var arr_catname = temp_catname.split('>>');
						var arr_catpath = temp_catpath.split(',');
						temp_catname="";
						temp_catpath="";
						$.each(arr_catpath,function(p,q){
							if(p<(depth-1)){
								if(p!=0){
									temp_catname += ">>";
									temp_catpath += ",";
								};
								temp_catname += arr_catname[p];
								temp_catpath += arr_catpath[p];
							};						
						});	
						temp_catname += ">>"+n.Name;
						temp_catpath += ","+n.CategoryID;
					};
					parentObj.nextAll().remove();//绑定下级分类前清空之前的数据
					$("#next").unbind("click");//取消下一步按钮的click事件
					if(n.Child=="0"){						
						//最底层分类的时候激活下一步按钮并绑定事件			
						$("#next").removeClass("disable");
						$("#next").addClass("enable");
						$("#next").click(function(){
							if($("#cid").val() != temp_cid){
								InitFB(temp_cid);
								$("#cid").attr("value",temp_cid);
							};
							$("#catname").text(temp_catname);
							$("#catpath").attr("value",temp_catpath);
							disablePopup($("#ShowCategory"),$("#backgroundPopup"));
						});
					}else{						
						$("#next").removeClass("enable");
						$("#next").addClass("disable");
						GetCategorys(n.CategoryID,depth+1,path);
					};
					$(this).siblings().removeClass("selected");
					$(this).addClass("selected");
				});//end click
				if(n.Child!="0"){
					item.addClass("more");
				};
				if(n.CategoryID==path.split(',')[depth-1]){
					item.siblings().removeClass("selected");
					item.addClass("selected");
					if(depth!=1){
						temp_catname += ">>";
						temp_catpath +=",";
					};
					temp_catname += n.Name;
					temp_catpath += n.CategoryID;
					if(depth==(path.split(',').length)){
						//最底层分类的时候激活下一步按钮并绑定事件
						$("#next").removeClass("disable");
						$("#next").addClass("enable");
						$("#next").click(function(){
							if($("#cid").val() != temp_cid){
								InitFB(temp_cid);
								$("#cid").attr("value",temp_cid);
							};
							$("#catname").attr("value",temp_catname);
							$("#catpath").attr("value",temp_catpath);
						});
					}else{					
						GetCategorys(n.CategoryID,depth+1,path);
					};
				};
            });//end each
        },//end success
        error:function(XMLHttpRequest,textStatus){if(textStatus=='parsererror'){alert('身份已过期,请重新登陆!');parent.window.location="../../adminlogin.aspx";}}
    });//end ajax
};
//修改分类后重新绑定扩展属性和品牌
function InitFB(arg){
    //获取扩展属性
    if(arg==0){return false;};
    $("#prop tr").remove();
    $("#para").html("");
    $.ajax({
        url:'ProductAdd_Step2.aspx?type=ajax&Action=GetFieldValues&cid='+arg + '&NoCopyRight=1',
        cache:false,
        success:function(data){
            if(!checkLoginStatus(data)){return false;}//是否要重新登陆
            if(data != ''){
				var prop=eval('('+data.split('^@^')[0]+')');
				var para=eval('('+data.split('^@^')[1]+')');
				$.each(prop.props,function(i,n){
					var tempRow=$("<tr></tr>").appendTo($("#prop"));
					var tempCell1=$("<th class='tl'>"+n.name+"：</td>").appendTo(tempRow);
					var tempCell2=$("<td class='tr'></td>").appendTo(tempRow);
					var tempSelect=$("<select name='prop'><option value='0'>请选择"+n.name+"</option></select>").appendTo(tempCell2);
					$.each(n.options,function(j,m){
						var tempOption=$("<option value='"+(j+1)+"'>"+m.value+"</option>").appendTo(tempSelect);
					});
				});
				$.each(para.paras,function(i,n){
					var tempItem=$("<div class='para_group'><input type='hidden' name='group' value='"+n.group+"'/><label>"+n.group+"</label></div>").appendTo($("#para"));					
					$.each(n.options,function(j,m){
						var tempRow=$("<dl></dl>").appendTo(tempItem);
						var tempCell1=$("<dt>"+m.name+"：</dt>").appendTo(tempRow);
						var tempCell2=$("<dd><input type='hidden' name='paraname' value='"+m.name+"'/><input type='text' name='paravalue' /></dd>").appendTo(tempRow);
					});
					var tempRow=$("<dl class='clear'></dl>").appendTo(tempItem);	
				});
			};
        },//end seccess
        error:function(){alert('error:GetFieldValues');}
    });//end ajax
    
    //获取品牌
    $.ajax({
        url:'ProductAdd_Step2.aspx?type=ajax&Action=GetBrandByCatID&cid='+arg +(pid==0 ? "" : "&ProductID="+pid)+'&NoCopyRight=1',
        cache:false,
        success:function(data){
            $('#ddlBrand').html(data);
        },
        error:function(){alert('error:GetBrandByCatID');}
    });
    return false;
};
function GetPropPara(){
	//参数
	var gcount=$("input[@name=group]").length;
	var paras='"paras":[';
	if(gcount!=0){
		var flag=false;
		$("input[@name=group]").each(function(i){
			var tempGroup='{"id":"'+(i+1)+'","group":"'+$(this).val()+'","options":[';
			var paraname=$(this).siblings("dl").find("input[@name=paraname]");
			var tempGroupValue="";
			paraname.each(function(j){
				var tempValue=$(this).next().val().Trim();
				if(tempValue!=""){
//					tempGroupValue+='{"index":"'+(j+1)+'","name":"'+$(this).val()+'","value":"'+tempValue+'"}';
                    while(tempValue.indexOf('"') != -1){
                        tempValue = tempValue.replace('"','“');
                    };
					tempGroupValue+='{"index":"'+(j+1)+'","name":"'+$(this).val()+'","value":"'+tempValue+'"}';
					tempGroupValue+=',';
				};
			});
			if(tempGroupValue!=""){
				tempGroupValue=tempGroupValue.substring(0,tempGroupValue.length-1);
				paras+=tempGroup;
				paras+=tempGroupValue;
				paras+=']}'
				paras+=',';
				flag=true;
			};			
		});
		if(flag){
			paras=paras.substring(0,paras.length-1);
		};		
	};
	paras+=']';
	$("<input type='hidden' value='"+paras+"' name='paras' />").appendTo($("#para"));
}

//修改商品的时候绑定商品属性和参数
function Init(arg){
    $.ajax({
        type:"get",
        dataType:"json",
        url:"ProductAdd_Step2.aspx?NoCopyRight=1",
        data:"type=ajax&Action=GetPropPara&pid="+arg,
        cache:false,
        success:function(msg){
			var props=msg.props;
			var paras=msg.paras;
			$.each(props,function(i,n){
				if(n.value!=0){
					$("select[@name=prop]").eq(i).val(n.value);
				};
			});
			$.each(paras,function(i,n){
				$.each(n.options,function(j,m){
					$("input[@name=group]").eq(n.id-1).siblings("dl").find("input[@name=paravalue]").eq(m.index-1).val(m.value);
				});
			});
        },//end seccess
        error:function(XMLHttpRequest,textStatus){if(textStatus=='parsererror'){alert('身份已过期,请重新登陆!');}else{alert('error_GetPropPara')};}
    });//end ajax
    return false;
};

//相关商品和附件商品删除事件;type为1相关商品,为2附件商品,为3赠送商品,为4赠送礼品
function BindDeleteEvent(type){
    var productIDs = '';
    var objhidename = null;
    var objPID_curr = null;
    var objPID_old = null;
    if(type=='1'){
        objhidename = 'rltpid';
        objPID_curr = $('#RltPID_curr');
        objPID_old = $('#RltPID_old');
    }else if(type=='2'){
        objhidename = 'fitpid';
        objPID_curr = $('#FitPID_curr');
        objPID_old = $('#FitPID_old');
    }else if(type=='3'){
        objhidename = 'prepid';
        objPID_curr = $('#PrePID_curr');
        objPID_old = $('#PrePID_old');
    }else if(type=='4'){
        objhidename = 'pregid';
        objPID_curr = $('#PreGID_curr');
        objPID_old = $('#PreGID_old');        
    };

    $('input[@name=' + objhidename + ']').each(function(i,n){
        var row = $(this).parent().parent();
        row.find('.delete').css('cursor','pointer').click(function(){
            row.remove();
            var ids = '';
            $('input[@name=' + objhidename + ']').each(function(){
                ids += $(this).val() + ',';
            });
            if(ids != ''){ids = ids.substring(0,ids.length-1);};
            objPID_curr.val(ids);
        }).find('img').mouseover(function(){
            $(this).attr('src','../images/x-red.gif');
        }).mouseout(function(){
            $(this).attr('src','../images/x-gray.gif');
        });
        productIDs += $(this).val() + ',';
        
        if(type == '3'){
            row.find('[@name=preNum_pdt]').blur(function(){
                CheckNum($(this));
            });
        }else if(type == '4'){
            row.find('[@name=preNum_gift]').blur(function(){
                CheckNum($(this));
            });
        }
    });
    if(productIDs != ""){
		productIDs = productIDs.substring(0,productIDs.length-1);
		objPID_old.val(productIDs);//隐藏控件记录已选择的商品ID(逗号分隔1,2,3)
		objPID_curr.val(productIDs);
	};
};

//统计要添加和要删除的相关商品的ID,并将这些ID记录在隐藏控件上
function CountPIDs(){
    //相关商品
    var rltPIDs = GetPIDs($('#RltPID_old').val(),$('#RltPID_curr').val());
    var arry_rltIDs = rltPIDs.split('|');
    $('#RltPID_new').val(arry_rltIDs[0]);       //要添加到数据库中的ID
    $('#RltPID_deleted').val(arry_rltIDs[1]);   //要从数据库中删除的相关商品ID
    
    //配件商品
    var fitPIDs = GetPIDs($('#FitPID_old').val(),$('#FitPID_curr').val());
    var arry_fitIDs = fitPIDs.split('|');
    $('#FitPID_new').val(arry_fitIDs[0]);
    $('#FitPID_deleted').val(arry_fitIDs[1]);
    
    //赠送商品
    var prePIDs = GetPIDs($('#PrePID_old').val(),$('#PrePID_curr').val());
    var arry_preIDs = prePIDs.split('|');
    $('#PrePID_new').val(arry_preIDs[0]);
    $('#PrePID_deleted').val(arry_preIDs[1]);
    
    //赠送礼品
    var preGIDs = GetPIDs($('#PreGID_old').val(),$('#PreGID_curr').val());
    var arry_preGIDs = preGIDs.split('|');
    $('#PreGID_new').val(arry_preGIDs[0]);
    $('#PreGID_deleted').val(arry_preGIDs[1]);
}

function GetPIDs(oldIDs,currIDs){
    var arryPID_old = oldIDs.split(',');
    var arryPID_curr = currIDs.split(',');
    //循环后arryPID_old里剩下的ID为需要从数据库里删除的PID,arryPID_curr里剩下的ID为需要添加到数据库中的PID
    if(oldIDs != ''){
        for(var i=0;i<arryPID_old.length;i++){
            for(var j=0;j<arryPID_curr.length;j++){
                if(arryPID_old[i]==arryPID_curr[j]){
                    arryPID_old.splice(i,1);arryPID_curr.splice(j,1);
                    i--;j--;
                    break;
                };
            };
        };
    };
    
    return arryPID_curr.toString() + "|" + arryPID_old.toString();
}

//检查是否为数字
function CheckNum(obj){
	var reg = new RegExp(/\D/g);
	if(reg.test($.trim(obj.val())) || obj.val().Trim() == ''){
	    alert('礼品数量填写有误');
	    obj.focus();
	};
}